#
# spec file for package rekonq
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright 2009 Buschmann <buschmann23@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rekonq
Version:        2.4.2
Release:        7.2
Summary:        WebKit Based Web Browser for KDE
License:        GPL-2.0+
Group:          Productivity/Networking/Web/Browsers
Url:            http://rekonq.kde.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  libkactivities-devel
BuildRequires:  libkde4-devel >= 4.8.3
BuildRequires:  libqca2-devel
BuildRequires:  libqt4-devel >= 4.8.0l
# for opera sync service
BuildRequires:  qoauth-devel
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
Requires:       konqueror
Recommends:     %{name}-doc = %{version}
Recommends:     %{name}-lang = %{version}
Provides:       browser(npapi)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
Rekonq is a web browser for KDE based on WebKit. It first focuses on being a
light, fast & clean way to access to net. Its development is doubly based on
using the new amazing features offered by the WebKit rendering engine and on
the rock solid network KDE technologies.

%package doc
Summary:        Documentation for rekonq
Group:          Documentation/HTML
Requires:       %{name} = %{version}

%description doc
Rekonq is a web browser for KDE based on WebKit. It first focuses on being a
light, fast & clean way to access to net. Its development is doubly based on
using the new amazing features offered by the WebKit rendering engine and on
the rock solid network KDE technologies.

This package provides the documentation for rekonq.

%lang_package

%prep
%setup -q

%build
%cmake_kde4 -d build
%make_jobs

%install
cd build
%kde4_makeinstall
cd ..

# Remove unneeded locales
%if 0%{?suse_version} == 1130
rm -rf %{buildroot}%{_datadir}/locale/sr@ijekavian/
rm -rf %{buildroot}%{_datadir}/locale/sr@ijekavianlatin/
%endif

%fdupes -s %{buildroot}

%find_lang %{name} %{name}.lang

%kde_post_install

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.DOC ChangeLog TODO
%{_kde4_applicationsdir}/rekonq.desktop
%{_kde4_appsdir}/rekonq/
%{_kde4_bindir}/rekonq
%{_kde4_iconsdir}/hicolor/*/apps/rekonq.png
%{_kde4_libdir}/libkdeinit4_rekonq.so
%{_kde4_sharedir}/config.kcfg/rekonq.kcfg

%files doc
%defattr(-,root,root,-)
%doc %{_kde4_htmldir}/en/rekonq/

%files lang -f %{name}.lang
%defattr(-,root,root,-)
%exclude %{_kde4_htmldir}/en/rekonq/

%changelog
* Fri Mar  7 2014 tittiatcoke@gmail.com
- Remove nepomuk-core from the buildrequires.
* Sat Jan 11 2014 hrvoje.senjan@gmail.com
- Update to 2.4.2
  * clear urlbar action added
  * global zoom settings added
  * faster suggestions in the urlbar
  * work around favicons
  * default tab width changed
  * doc update
  * bugfixes
* Sat Nov 16 2013 hrvoje.senjan@gmail.com
- Update to 2.4.0
  * added a simple ssh sync handler
  * adblock improvements
  * work on startup settings
  * bugfixes
* Sun Jun 30 2013 hrvoje.senjan@gmail.com
- Update to 2.3.2
  * Bugfix release
* Sun Jun 23 2013 hrvoje.senjan@gmail.com
- Update to 2.3.1
  * speed up on history page construction
  * IconManager code review, fixing some sites showing the wrong favicon
  * Let private popus open in private mode
  * Fix behavious on unloaded sites (show url && reload with F5)
  * Fix on save zoom settings, at least using buttons and shortcuts
  * Don’t Save Sessions When Closing Tabs from Logout
  * Fix UNICODE symbols shown in the urlbar
* Sun Apr 28 2013 hrvoje.senjan@gmail.com
- Update to 2.3.0
  * bookmarks && history panels
  * work on web view contextual menus
  * activities support
  * private browsing: stop saving sessions && sharing sessions
    cookies by tabs of the same window
  * open url as webapp option
  * session saving (load/save/rename sessions)
  * some work on respecting more of the kde "wide" settings
  * urlbar look change
  * Favorites management
  * appmenu-qt support
- Added nepomuk-core-devel and libkactivities-devel BuildRequires
* Fri Mar  8 2013 mlin@suse.com
- Update to version 2.2.1
  * fix bk toolbar bug
* Mon Mar  4 2013 mlin@suse.com
- Update to version 2.2
  * adblock improvements
  * nepomuk2 support
  * bookmarks menu restored (in 2.x fashion)
  * Closed tabs page return(ed)
  * KGet support improved
  * some (new) minor options
  * BUGFIXES
* Sun Jan 27 2013 hrvoje.senjan@gmail.com
- Update to version 2.1
  - Bugs fixed:
  * kpart “half window” problem
  * webapp with window favicon
  * default application’s locale for date formatting in history
  * history ordering by date
  * crash while adding a favorite
  - Restored/new features:
  * restored usual web inspector position at the bottom
  * option to open tab at the end
  * restored bookmark middle click action
  * edit toolbars
  * shorcuts configuration panel
  * better kpart integration
  * remove history items from history page
  * improved icon management
  * better Google Bookmark sync
* Sat Dec 29 2012 tittiatcoke@gmail.com
- Update to version 2.0
  * new UI (with tabs up)
  * new incognito mode
  * pinning tabs
  * new startup options
  * inline spellcheck
  * network error management
* Mon Oct 29 2012 asterios.dramis@gmail.com
- Update to version 1.3:
  * Bugfix release
* Mon Oct  8 2012 mlin@suse.com
- Update to version 1.2
  * Bugfix release
* Tue Aug 28 2012 mlin@suse.com
- Update to version 1.1
  * Bugfix release
* Sat Jul 21 2012 asterios.dramis@gmail.com
- Update to 1.0:
  * Official 1.0 release. Changes already covered in the previous "pre" and
    "beta" versions.
- Removed explicit lib dependencies in libqca2 and libqoauth1.
* Wed Jul 11 2012 mlin@suse.com
- Update to version 0.9.90 (1.0 beta)
  * clean up code and bugfix
* Wed Jun 13 2012 mlin@suse.com
- Update to version 0.9.80 (1.0 pre)
  * sync: sync bookmarks with google and with opera services.
  * Fancy bookmarking: store (and share) infos about bookmarks via nepomuk.
  * rekonq pages visual improvements
  * Favorites page: drag & drop added
  * Favorites page: ability to reload preview
  * Bookmarks page: rewamped
  * History page: faster load showing just 2 days as default
  * History page: search feature
  * Downloads page: initial notifications on what is happening to the downloaded file
  * Downloads page: search feature
  * Settings improvements: added "privacy" and "advanced" widgets + options about.
  * If user has not a default search engine set, rekonq inform him.
  * Included tab history when cloning a tab via the "clone tab" action
  * adblock improvements: let users decide with 1 click what adblock subscriptions use
  * adblock icon in the urlbar triggering a new dialog to unblock/show blocked/hided elements
  * new action to block (and hide) images
* Tue May  1 2012 mlin@suse.com
- Update to version 0.9.2
  * Bugfix release
* Thu Apr  5 2012 asterios.dramis@gmail.com
- Update to 0.9.1:
  * Bugfix release
* Tue Mar  6 2012 mlin@suse.com
- Update to version 0.9.0
  * urlbar suggestions improvements
  * enable url or text drops in the tabbar
  * improved rekonq webkit settings (based on QtWebkit 2.2 features)
  * bookmarks toolbar usability improvements
  * Applications shortcut (desktop links)
  * Many changes in default settings
  * Share URL/Text/link by mail
  * Usability work on rekonq pages
  * new rekonq tabs page (letting you easiily manage tabs)
  * let users choose a "default" download dir
  * SYNC feature: general infrastucture + ftp sync
  * access keys navigation
  * (User) session restore
* Mon Mar  5 2012 vdziewiecki@suse.com
- add Provides: browser(npapi) FATE#313084
* Sun Dec 11 2011 tittiatcoke@gmail.com
- Update to 0.8.1
  * Bugfixes
* Sat Oct 15 2011 tittiatcoke@gmail.com
- Update to 0.8.0:
  Official release of 0.8.0. Changes already covered in the
  previous versions
* Wed Sep 28 2011 asterios.dramis@gmail.com
- Update to 0.7.92:
  * Bugfix release
- Spec file updates:
  * Changed License: to GPL-2.0+.
* Tue Sep 20 2011 asterios.dramis@gmail.com
- Update to 0.7.90:
  * Bugfix release
- Spec file updates:
  * Recommend instead of Suggest the rekonq-doc and rekonq-lang packages.
  * Changed rekonq-doc package Group: to Documentation/HTML.
  * Removed %%suse_update_desktop_file macro from install section since it is
    executed through the %%kde_post_install macro.
* Thu Sep 15 2011 tittiatcoke@gmail.com
- Update to 0.7.80 (Beta 1)
  * AdBlock: Third Party rules support
  * custom urlbar context menu (paste & go action, ...)
  * set editable
  * restore tab's history
  * UI changes (in rekonq menu)
  * quit closes app (and added option to close window by closing
    last tab)
  * use KParts to view page source
  * "click" mechanism to manage favorites
  * SSL UIs rewamped
  * "Do Not Track" feature
  * history, time first visit added
  * Tab messages using KMessageWidget
  * improved drag'n'drop
  * vi style navigation (optional)
  * ctrl + number favorites shortcuts
* Tue Sep 13 2011 toddrme2178@gmail.com
- Spec file updates:
  * Split translation package (fix for RPMLINT warning)
  * Split documentation package (fix for RPMLINT warning)
  * Cleaned up spec file formatting
* Wed Apr 27 2011 asterios.dramis@gmail.com
- Spec file updates:
  * Fix locales removal if suse_version is not set.
* Wed Apr 13 2011 asterios.dramis@gmail.com
- Spec file updates:
  * Fixed Requires: (konqueror instead of konqueror-plugins).
* Mon Apr 11 2011 asterios.dramis@gmail.com
- Spec file updates:
  * Changes based on rpmdevtools templates and spec-cleaner run.
  * Removed kdebase4-workspace-devel, konqueror-plugins, gtk2-devel,
    kwebkitpart-devel (not needed) and added libkde4-devel in BuildRequires:.
  * Removed kdebase4-workspace (not needed) and added konqueror-plugins in
    Requires:.
  * Updates in Url: and %%description.
  * Run fdupes to fix rpmlint warning "files-duplicate".
  * Updates in %%files section.
  * Minor other updates.
* Sun Apr  3 2011 tittiatcoke@gmail.com
- Update to 0.7.0 final
  - reenabled raster graphics system by default
    (so, better webkit performance)
* Wed Mar 23 2011 wstephenson@novell.com
- update to 0.7 beta
  - General Cleanup
  - OpenSearch support (XML & JSON parsers)
  - Better cache management (WebKit Page Cache feature support)
  - enhanced Private Browsing mode (needs KDE SC 4.6)
  - new restore session notification system
  - Images in visual suggestions
  - Various improvements in bookmarks management
  - Optional tab list menu entry
  - User Agent switch support
  - Save zoom settings per host
* Tue Mar 22 2011 coolo@novell.com
- licenses package is about to die
* Thu Dec 23 2010 rwooninck@opensuse.org
- Remove the patch and build only for Qt 4.7
* Wed Nov 10 2010 tittiatcoke@gmail.com
- Added the patch again to make it compile with Qt 4.6
* Tue Oct  5 2010 tittiatcoke@gmail.com
- Update to version 0.6.1
  * Mem leak fixed in the bar(s)
  * Bookmarklets support
  * No more focus stealing on external url calls
  * Chinese sites (right) encoding
  * OpenSearch suggestions localized
  * Fixed urlbar crash in disconnected mode
* Mon Sep 13 2010 tittiatcoke@gmail.com
- Added a patch to still compile with Qt 4.6
* Mon Sep 13 2010 beineri@opensuse.org
- update to version 0.6:
  * AdBlock performance improvements
  * UrlBar Improvements
  * Suggestions
  * History Review
  * zoom slide bar
  * apt scheme support
  * bookmarks improvements
  * smooth scrolling
* Tue Jul  6 2010 beineri@opensuse.org
- update to final 0.5 release
* Wed Jun  9 2010 tittiatcoke@gmail.com
- update to version 0.4.95 (5.0 Beta 2)
  * bug fixes
* Wed May 26 2010 tittiatcoke@gmail.com
- update to version 0.4.90
  - improved adblock, automagically updating filter lists
    (+abp scheme support)
  - RSS support
  - new urlbar (tech preview): it's just nice and more will come..
  - auto-scrolling
  - downloads history tracked
  - SSL Info support
  - Bookmarks & history panels improvements
  - bugfixing & users wishes
* Tue Mar 16 2010 tittiatcoke@gmail.com
- Added updated translations from SVN
* Fri Mar 12 2010 tittiatcoke@gmail.com
- Update to version 0.4.0
  - Bugfixes based on version 0.3.90
* Thu Feb 11 2010 tittiatcoke@gmail.com
- updated to version 0.3.90 (0.4.0 Beta 1)
  - moved to kdewebkit (this means based on kde 4.4)
  - kwallet support
  - KIO full support (cookies, cache, proxy, network)
  - file:// && ftp:// protocol easy handling
  - improved rekonq pages (in the about: protocol)
  - multithreaded url resolver (hopefully, no more UI freezes)
  - adblock support, first part (load manually links, for now...)
  - improved fullscreen mode
  - embedded inspector (A-LA firebug)
  - first kget integration
  - optional "clickToFlash" feature
  - tons of bugs fixed
  - ... (wanna more??)
* Wed Nov 18 2009 buschmann23@opensuse.org - 0.3.0
- updated to version 0.3.0
  + Just some bug fixes, docs and translations improvements over 0.2.90 one :)
* Wed Oct 28 2009 buschmann23@opensuse.org - 0.2.90
- updated to version 0.2.90
  + Final UI (just some elements missing)
  + new icon
  + multi windows support
  + KDE proxy setting support
  + "new tab home page" (tech preview)
  + Initial handbook added
  + tab previews
  + save & restore session support
* Fri Aug 21 2009 tittiatcoke@gmail.com 0.2.0
- Update to 0.2.0
  - simpler UI (but not final!)
  - KDE webshortcuts support
  - improved tabbar
  - new notification system
  - KIO support
  - KCookie support
  - tons of bugs fixed
* Thu May 21 2009 tittiatcoke@gmail.com 0.1.0
- Update to 0.1.0
* Sat May  2 2009 tittiatcoke@gmail.com 0.1alpha
- Update to 0.1alpha
  * improved tabbar
  * history side panel
  * loading url bar
  * contextual menu
  * webkit conf settings
* Tue Mar 17 2009 buschmann23@opensuse.org 0.0.4
- initial package
- version 0.0.4
